List Models
curl --request GET \
--url https://api.shuyou.ai/v1/models \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "gpt-5.5-pro",
"object": "model",
"created": 1777046400000,
"owned_by": "openai",
"slug": "openai/gpt-5.5-pro",
"name": "GPT 5.5 Pro",
"display_name": "GPT 5.5 Pro",
"release_date": "2026-04-25",
"context_length": 1050000,
"input_modalities": [
"text",
"file",
"image"
],
"output_modalities": [
"text"
],
"capabilities": [
"TG",
"DR"
],
"tags": [
"text-generation",
"reasoning",
"web-search"
],
"supported_parameters": [
"include_reasoning",
"max_tokens",
"reasoning",
"response_format",
"seed",
"structured_outputs",
"tool_choice",
"tools"
],
"pricing": {
"prompt": 30,
"completion": 180,
"web_search": 0.01
},
"description": "GPT-5.5 Pro is OpenAI's most advanced model, offering major improvements in reasoning, instruction following, and accuracy on complex, high-stakes workloads."
}
]
}OpenAI Compatible API
List Models
List OpenAI-compatible models available on ShuYou.
GET
/
v1
/
models
List Models
curl --request GET \
--url https://api.shuyou.ai/v1/models \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "gpt-5.5-pro",
"object": "model",
"created": 1777046400000,
"owned_by": "openai",
"slug": "openai/gpt-5.5-pro",
"name": "GPT 5.5 Pro",
"display_name": "GPT 5.5 Pro",
"release_date": "2026-04-25",
"context_length": 1050000,
"input_modalities": [
"text",
"file",
"image"
],
"output_modalities": [
"text"
],
"capabilities": [
"TG",
"DR"
],
"tags": [
"text-generation",
"reasoning",
"web-search"
],
"supported_parameters": [
"include_reasoning",
"max_tokens",
"reasoning",
"response_format",
"seed",
"structured_outputs",
"tool_choice",
"tools"
],
"pricing": {
"prompt": 30,
"completion": 180,
"web_search": 0.01
},
"description": "GPT-5.5 Pro is OpenAI's most advanced model, offering major improvements in reasoning, instruction following, and accuracy on complex, high-stakes workloads."
}
]
}Authorizations
Authorization: Bearer YOUR_API_KEY — create keys in the ShuYou console.
⌘I